// SPDX-License-Identifier: GPL-2.0
/*
 * This header provides constants for SPACEMIT DMA channel map table.
 *
 * Copyright (C) 2023 Spacemit
 */

#ifndef __DTS_K1X_DMAC_H
#define __DTS_K1X_DMAC_H

#define DMA_UART0_TX	3
#define DMA_UART0_RX	4
#define DMA_UART2_TX	5
#define DMA_UART2_RX	6
#define DMA_UART3_TX	7
#define DMA_UART3_RX	8
#define DMA_UART4_TX	9
#define DMA_UART4_RX	10
#define DMA_UART5_TX	25
#define DMA_UART5_RX	26
#define DMA_UART6_TX	27
#define DMA_UART6_RX	28
#define DMA_UART7_TX	29
#define DMA_UART7_RX	30
#define DMA_UART8_TX	31
#define DMA_UART8_RX	32
#define DMA_UART9_TX	33
#define DMA_UART9_RX	34

#define DMA_I2C0_TX	11
#define DMA_I2C0_RX	12
#define DMA_I2C1_TX	13
#define DMA_I2C1_RX	14
#define DMA_I2C2_TX	15
#define DMA_I2C2_RX	16
#define DMA_I2C4_TX	17
#define DMA_I2C4_RX	18
#define DMA_I2C5_TX	35
#define DMA_I2C5_RX	36
#define DMA_I2C6_TX	37
#define DMA_I2C6_RX	38
#define DMA_I2C7_TX	39
#define DMA_I2C7_RX	40
#define DMA_I2C8_TX	41
#define DMA_I2C8_RX	42

#define DMA_SSP3_TX	19
#define DMA_SSP3_RX	20
#define DMA_SSPA0_TX	21
#define DMA_SSPA0_RX	22
#define DMA_SSPA1_TX	23
#define DMA_SSPA1_RX	24
#define DMA_QSPI_RX	44
#define DMA_QSPI_TX	45

#define DMA_CAN0_RX	43

#endif /*__DTS_K1X_DMAC_H*/
